> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Row



## OpenAPI

````yaml /openapi-v1.json get /api/v1/custom-data-sources/{id_or_slug}/rows/{external_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/custom-data-sources/{id_or_slug}/rows/{external_id}:
    get:
      tags:
        - Custom Data Sources
      summary: Get Row
      operationId: core_api_v1_controllers_custom_data_sources_get_row
      parameters:
        - in: path
          name: id_or_slug
          schema:
            title: Id Or Slug
            type: string
          required: true
        - in: path
          name: external_id
          schema:
            title: External Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResultRow'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SearchResultRow:
      properties:
        id:
          title: Id
          type: string
        external_id:
          title: External Id
          type: string
        data:
          additionalProperties: true
          title: Data
          type: object
        tags:
          items:
            type: string
          title: Tags
          type: array
        searchable_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Searchable Text
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      required:
        - id
        - external_id
        - data
        - tags
      title: SearchResultRow
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````